Subject: Re: bug#21278: char-fold isearch: space and newline still broken

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 10 Sep 2021 15:17:19 +0200

Augusto Stoffel <[email-masked]> writes:

> On Fri, 10 Sep 2021 at 12:57, Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> It seems like everybody agrees that the old value was confusing, so I've
>>>> now changed it to [ \t] in Emacs 28.
>>>
>>> Shouldn't it be [ \t]+ instead?
>>
>> Oops.  Looks like I'm going for the "most errors in a trivial one-line
>> patch" record here...
>
> For the record, search-whitespace-regexp could have more useful values
> suggested in customize.  I can think of:
>
> - not too lax: "[ \\t]+"
> - match across lines: "[ \\t\\n]+"
> - eat punctuation: "\\W+"
> - fuzzy: ".*?"

Seconded.  I expect this to be a common customization: when searching
for compound expressions ("regular expression", "environment variable"…)
through prose filled using hard newlines (manpages, info nodes,
docstrings…), I have always found it useful for isearch to treat
newlines as regular whitespace.

If isearch no longer behaves like that by default, I'm sure users would
at least appreciate Customize suggesting some ready-made values.